auto lo
iface lo inet loopback
    address 10.10.10.{{ inventory_hostname[-1] }}/32

auto mgmt
iface mgmt
    vrf-table auto
    address 127.0.0.1/8

auto eth0
iface eth0 inet dhcp
    vrf mgmt

auto swp1
iface swp1
    bridge-access {{ devices[inventory_hostname]['compute'].vlan }}

auto swp2
iface swp2
    bridge-access {{ devices[inventory_hostname]['compute'].vlan }}

auto swp3
iface swp3
    bridge-access {{ devices[inventory_hostname]['compute'].vlan }}

auto swp4
iface swp4
    bridge-access {{ devices[inventory_hostname]['compute'].vlan }}

auto swp5
iface swp5
    bridge-access {{ devices[inventory_hostname]['compute'].vlan }}

auto swp6
iface swp6
    bridge-access {{ devices[inventory_hostname]['compute'].vlan }}

auto swp7
iface swp7
    bridge-access {{ devices[inventory_hostname]['compute'].vlan }}

auto swp8
iface swp8
    bridge-access {{ devices[inventory_hostname]['compute'].vlan }}

auto swp11
iface swp11

auto swp12
iface swp12

auto swp13
iface swp13

auto swp14
iface swp14

auto swp15
iface swp15

auto swp16
iface swp16

auto swp19
iface swp19

auto swp20
iface swp20

auto swp21
iface swp21

auto swp22
iface swp22

auto swp25
iface swp25

auto swp26
iface swp26

auto swp27
iface swp27

auto swp28
iface swp28

auto swp29
iface swp29

auto swp30
iface swp30

auto swp31
iface swp31

auto swp32
iface swp32

auto bridge
iface bridge
    bridge-ports swp1 swp2 swp3 swp4 swp5 swp6 swp7 swp8 compute_isl peerlink compute01_1 compute01_2 compute02_1 compute02_2 storage01 storage02
    bridge-vids {{ devices[inventory_hostname]['compute'].vlan }} {{ storage_a.vlan }} {{ storage_b.vlan }}
    bridge-vlan-aware yes

auto compute01_1
iface compute01_1
    bond-slaves swp11
    bridge-access {{ storage_a.vlan }}
    clag-id 11

auto compute01_2
iface compute01_2
    bond-slaves swp13
    bridge-access {{ storage_b.vlan }}
    clag-id 13

auto compute02_1
iface compute02_1
    bond-slaves swp12
    bridge-access {{ storage_a.vlan }}
    clag-id 12

auto compute02_2
iface compute02_2
    bond-slaves swp14
    bridge-access {{ storage_b.vlan }}
    clag-id 14

auto compute_isl
iface compute_isl
    bond-slaves swp25 swp26 swp27 swp28 swp29 swp30 swp31 swp32
    bridge-access {{ devices[inventory_hostname]['compute'].vlan }}

auto peerlink
iface peerlink
    bond-slaves swp19 swp20 swp21 swp22
    bridge-vids {{ storage_a.vlan }} {{ storage_b.vlan }}

auto peerlink.4094
iface peerlink.4094
    clagd-backup-ip {{ devices[inventory_hostname].clagd_backup_ip }} vrf mgmt
    clagd-peer-ip linklocal
    clagd-priority {{ inventory_hostname[-1] }}000
    clagd-sys-mac 44:38:39:be:ef:00

auto storage01
iface storage01
    bond-slaves swp15
    bridge-access {{ storage_a.vlan }}
    clag-id 15

auto storage02
iface storage02
    bond-slaves swp16
    bridge-access {{ storage_b.vlan }}
    clag-id 16

